
@mixin pink-hover {
  transition: all 0.3s ease-in;
  background-color: $main-pink;
  &:hover {
      background-color: $main-pink-hover;
  }
}

@mixin pink-hover-simple {
  transition: all 0.3s ease-in;
  &:hover {
      background-color: $main-pink;
  }
}

@mixin text-pink-hover {
  transition: all 0.1s ease-in;
  &:hover {
    color: $main-pink;
  }
}

@mixin card-hover {
  transition: all 0.3s ease-in;
  background-color: $product-background;
  outline: 3px solid $product-background;
  &:hover {
    box-shadow: $box-shadow;
    outline: 3px solid white;
    background-color: $product-background-hover;
  }
}

@mixin link {
  @include text-pink-hover;
  cursor: pointer;
}

@keyframes product-img {
	0% {
			transform: scale(1);
	}

	15% {
			transform: scale(1.2) translateY(10px);
	}

	32.5% {
			transform: scale(1.2) translate(-25px, 10px);
	}

	67.5% {
			transform: scale(1.2) translate(25px, 10px);
	}

	85% {
			transform: scale(1.2) translateY(10px);
	}

	100% {
			transform: scale(1);
	}

}

@mixin animation {
  &:hover {
    img {
      animation: product-img 3s linear;
    }
  }
}

@mixin invisible {
  position: absolute;
  display: none;
}